Subject: [bug#52422] [PATCH v2 1/2] gnu: Add bibutils.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 24 Dec 2021 15:51:03 +0100

Hi,

Liliana Marie Prikler <[email-masked]> skribis:

> * gnu/packages/textutils.scm (bibutils): New variable.
> ---
> Am Mittwoch, dem 22.12.2021 um 22:42 +0100 schrieb Ludovic Courtès:
>> Bonus points if you change that to:
>> 
>>   (list #:configure-flags
>>         #~(list … #$output …)
>>         …)
> Watch my street cred go up as I mix quasiquote and gexp 😎

I try to avoid that because I’m think it can be quite confusing and
intimidating, especially when you end up with sequences like ,#~.
That’s a discussion we should have, but I’m in favor of the above style.

> On a related note, is it already known that you can't use
> (arguments #~(list ...))?

Yes, that’s because ‘arguments’ is literally a list of arguments passed
to the build system with ‘apply’.

>> GPLv2-only?
> Yes.  They don't copypasta the full license blurb, but all file headers
> say that the source code is distributed under "GPL version 2".

V2-only then.

Thanks!

Ludo’.